package jp.gihyo.mitoma.android.s031dataexchange;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.appcompat.app.AppCompatActivity;

public class DataExchangeActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //自画面の生成
        setContentView(R.layout.data_exchange);
        //ボタンへのイベントリスナーの登録
        Button button =findViewById(R.id.button);
        button.setOnClickListener(new DataExchangeListener());
    }
    private class DataExchangeListener implements View.OnClickListener {

        public void onClick(View view) {
            //ウィジェットの参照変数の獲得
            EditText etValue1 =findViewById(R.id.etValue1);
            EditText etValue2 =findViewById(R.id.etValue2);

            //ウィジェットから入力データの取り出し
            String value1 = etValue1.getText().toString();
            String value2 = etValue2.getText().toString();

            //ウィジェットへデータを変えて表示
            etValue1.setText(value2);
            etValue2.setText(value1);
        }
    }
}